Notus API
Smart wallets

Create Deposit Transaction

This endpoint provides a transaction to be executed by an EOA to deposit funds into a smart wallet. This is a convenience endpoint to easily build a transfer to be executed by Metamask or any other EOA wallet

POST
/api/v1/wallets/{walletAddress}/deposit
x-api-key<token>

In: header

Path Parameters

walletAddressstring

The smart wallet address (in hexadecimal format) receiving the transfer.

amountstring

The amount to be transferred, expressed as a decimal string.

chainIdnumber

The blockchain network where the transfer executes. Supported EVM chains:

  • Arbitrum One: 42161
  • Avalanche: 43114
  • Base: 8453
  • BNB Smart Chain: 56
  • Ethereum: 1
  • Gnosis: 100
  • OP Mainnet: 10
  • Polygon: 137
tokenstring

The address (in hexadecimal format) of the token being transferred. If you want to deposit native tokens, set this value to 0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee.

fromAddressstring

The wallet address (in hexadecimal format) initiating the transfer.

Response Body

curl -X POST "https://api.notuslabs.xyz/api/v1/wallets/0xa2acc967a9fc4fd5d18351d06deb9b8718c18333/deposit" \  -H "Content-Type: application/json" \  -d '{    "amount": "101.25",    "chainId": 42161,    "token": "0x2791bca1f2de4661ed88a30c99a7a9449aa84174",    "fromAddress": "0x6648e365a1b072797ee871d45691aead31b9d016"  }'
{
  "transfer": {
    "from": "0x6648e365a1b072797ee871d45691aead31b9d016",
    "to": "0x2791bca1f2de4661ed88a30c99a7a9449aa84174",
    "value": "101250000000000000000",
    "data": "0xa9059cbb000000000000000000000000a2acc967a9fc4fd5d18351d06deb9b8718c183330000000000000000000000000000000000000000000000000E0D1F62B3154000",
    "estimateGasCost": "0.452"
  }
}
{
  "statusCode": 400,
  "id": "NOT_AUTHORIZED_TOKENS",
  "message": "The tokens '[0x2791bca1f2de4661ed88a30c99a7a9449aa84174]' are not supported by Notus API. "
}
{
  "statusCode": 403,
  "id": "UNAVAILABLE_COMPUTE_UNITS",
  "message": "The project doesn't have enough compute units to perform this action. Please upgrade your plan."
}
{
  "statusCode": 404,
  "id": "ACCOUNT_ABSTRACTION_ADDRESS_NOT_REGISTERED_WITH_PROJECT",
  "message": "The requested wallet \"0xa2acc967a9fc4fd5d18351d06deb9b8718c18333\" is not registered with the project"
}
{
  "statusCode": 500,
  "id": "FAILED_TO_ESTIMATE_TRANSFER",
  "message": "Failed to estimate transfer"
}